Bug 306741 - TurboGears doesn't find setuptools >=0.6c2
TurboGears doesn't find setuptools >=0.6c2
Product: Fedora
Classification: Fedora
Component: TurboGears (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-09-26 07:29 EDT by Karsten Hopp
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-28 08:45:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2007-09-26 07:29:27 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/bin/tg-admin", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2561, in <module>
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: setuptools>=0.6c2

Version-Release number of selected component (if applicable):
#rpm -qa TurboGears *setuptools*

How reproducible:

Steps to Reproduce:
1. run 'tg-admin' without any parameters
Comment 1 Karsten Hopp 2007-09-26 08:00:14 EDT
adding python-setuptools maintainer to CC:
Comment 2 Konstantin Ryabitsev 2007-09-26 09:48:21 EDT
Please refer to bug 251645. It should dtrt as of 2 days ago.
Comment 3 Luke Macken 2007-09-26 10:07:21 EDT
Fixed a couple of days ago -- Thanks Konstantin!

* Mon Sep 24 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6c7-2
- Move pretty much everything back into runtime in order to avoid more
  brokenness than we're trying to address with these fixes.
Comment 4 Karsten Hopp 2007-09-26 10:35:05 EDT
unfortunately the latest python-setuptools and python-setuptools-devel doesn't fix
this problem. https://bugzilla.redhat.com/show_bug.cgi?id=251645#c42 indicates
that this may be a real bug in TurboGears which needs to be fixed
Comment 5 Toshio Ernie Kuratomi 2007-09-26 12:42:44 EDT
Hmm.. on a partial F7/F8 system:
  *no* python-setuptools-devel

tg-admin works.  Let me investigate the latest TurboGears update....
Comment 6 Toshio Ernie Kuratomi 2007-09-26 13:16:35 EDT
I'm not able to replicate this with or without python-setuptools-devel
installed.  I presently have:
$ rpm -qa TurboGears '*setuptools*'

$ tg-admin

TurboGears command line interface

Usage: /usr/bin/tg-admin [options] <command>

    -c CONFIG --config=CONFIG    Config file to use
    -e EGG_SPEC --egg=EGG_SPEC   Run command on given Egg

      i18n  Manage i18n data
      info  Show version info
quickstart  Create a new TurboGears project
     shell  Start a Python prompt with your database available
       sql  Run the database provider manager
   toolbox  Launch the TurboGears Toolbox
    update  Update an existing turbogears project

This is on F7, i386 with TurboGears and setuptools from rawhide.
Comment 7 Luke Macken 2007-09-27 12:44:07 EDT
I am unable to reproduce this with today's rawhide.

[lmacken@localhost ~]$ rpm -q python-setuptools{,-devel} TurboGears
Comment 8 Karsten Hopp 2007-09-28 08:45:51 EDT
I'm not sure what happened, but it works now after a simple reboot.

Note You need to log in before you can comment on or make changes to this bug.